Bug 245397 - [PATCH] net-mgmt/observium: drop python27 support
Summary: [PATCH] net-mgmt/observium: drop python27 support
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: --- Affects Only Me
Assignee: Mark Felder
URL:
Keywords: buildisok
Depends on:
Blocks:
 
Reported: 2020-04-06 14:06 UTC by Dima Panov
Modified: 2020-04-27 11:21 UTC (History)
0 users

See Also:
bugzilla: maintainer-feedback? (feld)


Attachments
net-mgmt/observium: drop python27 support (1.25 KB, patch)
2020-04-06 14:06 UTC, Dima Panov
no flags Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Dima Panov freebsd_committer 2020-04-06 14:06:48 UTC
Created attachment 213124 [details]
net-mgmt/observium: drop python27 support

net-mgmt/observium:

- drop python27 support, use python35+
- switch to py-mysqlclient instead of outdated pyMySQLdb
- flavorize php dependency, set PKGNAMESUFFIX
Comment 1 Automation User 2020-04-21 01:10:22 UTC
Build info is available at https://gitlab.com/swills/freebsd-ports/pipelines/138083671
Comment 2 commit-hook freebsd_committer 2020-04-27 11:20:19 UTC
A commit references this bug:

Author: fluffy
Date: Mon Apr 27 11:19:47 UTC 2020
New revision: 533125
URL: https://svnweb.freebsd.org/changeset/ports/533125

Log:
  net-mgmt/observium: drop python27 support

  - drop python27 support, use python35+
  - switch to py-mysqlclient instead of outdated pyMySQLdb
  - flavorize php dependency, set PKGNAMESUFFIX

  PR:		245397
  Submitted by:	fluffy
  Approved by:	maintainer (timeout, 21d)

Changes:
  head/net-mgmt/observium/Makefile
Comment 3 Dima Panov freebsd_committer 2020-04-27 11:21:39 UTC
Committed!